CipherModeFinalTemplate_CipherHolder< CIPHER, BASE > Class Template Reference

Block cipher mode of operation aggregate. More...

`#include <modes.h>`

Inheritance diagram for CipherModeFinalTemplate_CipherHolder< CIPHER, BASE >:

## Public Member Functions

| CipherModeFinalTemplate_CipherHolder ()
| Construct a CipherModeFinalTemplate.
| CipherModeFinalTemplate_CipherHolder (const byte *key, size_t length)
| Construct a CipherModeFinalTemplate.
| CipherModeFinalTemplate_CipherHolder (const byte *key, size_t length, const byte *iv)
| Construct a CipherModeFinalTemplate.
| CipherModeFinalTemplate_CipherHolder (const byte *key, size_t length, const byte *iv, int feedbackSize)
| Construct a CipherModeFinalTemplate.
std::string | AlgorithmProvider () const
Public Member Functions inherited from AlgorithmImpl< BASE, CipherModeFinalTemplate_CipherHolder< CIPHER, BASE > >
std::string | AlgorithmName () const
| The algorithm name.

## Static Public Member Functions

static std::string | StaticAlgorithmName ()
| Provides the name of this algorithm.
Static Public Member Functions inherited from AlgorithmImpl< BASE, CipherModeFinalTemplate_CipherHolder< CIPHER, BASE > >
static std::string | StaticAlgorithmName ()
| The algorithm name.

## Detailed Description

template<class CIPHER, class BASE>
class CipherModeFinalTemplate_CipherHolder< CIPHER, BASE >

Block cipher mode of operation aggregate.

Definition at line 346 of file modes.h.

## Constructor & Destructor Documentation

## CipherModeFinalTemplate_CipherHolder() [1/4]

template<class CIPHER , class BASE >

CipherModeFinalTemplate_CipherHolder< CIPHER, BASE >::CipherModeFinalTemplate_CipherHolder | ( |  | ) |

inline

Construct a CipherModeFinalTemplate.

Definition at line 358 of file modes.h.

## CipherModeFinalTemplate_CipherHolder() [2/4]

template<class CIPHER , class BASE >

CipherModeFinalTemplate_CipherHolder< CIPHER, BASE >::CipherModeFinalTemplate_CipherHolder | ( | const byte * | key,
|  | size_t | length
| ) |  |

inline

Construct a CipherModeFinalTemplate.

Parameters

  key | a byte array used to key the cipher
  length | size of the key in bytes

key must be at least DEFAULT_KEYLENGTH in length. Internally, the function calls SimpleKeyingInterface::SetKey.

Definition at line 369 of file modes.h.

## CipherModeFinalTemplate_CipherHolder() [3/4]

template<class CIPHER , class BASE >

CipherModeFinalTemplate_CipherHolder< CIPHER, BASE >::CipherModeFinalTemplate_CipherHolder | ( | const byte * | key,
|  | size_t | length,
|  | const byte * | iv
| ) |  |

inline

Construct a CipherModeFinalTemplate.

Parameters

  key | a byte array used to key the cipher
  length | size of the key in bytes
  iv | a byte array used to resynchronize the cipher

key must be at least DEFAULT_KEYLENGTH in length. iv must be IVSize() or BLOCKSIZE in length. Internally, the function calls SimpleKeyingInterface::SetKey.

Definition at line 381 of file modes.h.

## CipherModeFinalTemplate_CipherHolder() [4/4]

template<class CIPHER , class BASE >

CipherModeFinalTemplate_CipherHolder< CIPHER, BASE >::CipherModeFinalTemplate_CipherHolder | ( | const byte * | key,
|  | size_t | length,
|  | const byte * | iv,
|  | int | feedbackSize
| ) |  |

inline

Construct a CipherModeFinalTemplate.

Parameters

  key | a byte array used to key the cipher
  length | size of the key in bytes
  iv | a byte array used to resynchronize the cipher
  feedbackSize | the feedback size, in bytes

key must be at least DEFAULT_KEYLENGTH in length. iv must be IVSize() or BLOCKSIZE in length. Internally, the function calls SimpleKeyingInterface::SetKey.

Definition at line 394 of file modes.h.

## Member Function Documentation

## StaticAlgorithmName()

template<class CIPHER , class BASE >

static std::string CipherModeFinalTemplate_CipherHolder< CIPHER, BASE >::StaticAlgorithmName | ( |  | ) |

inline static

Provides the name of this algorithm.

Returns
  the standard algorithm name

The standard algorithm name can be a name like AES or AES/GCM. Some algorithms do not have standard names yet. For example, there is no standard algorithm name for Shoup's ECIES.

Definition at line 354 of file modes.h.

## AlgorithmProvider()

template<class CIPHER , class BASE >

std::string CipherModeFinalTemplate_CipherHolder< CIPHER, BASE >::AlgorithmProvider | ( |  | ) | const

inline

Definition at line 401 of file modes.h.

The documentation for this class was generated from the following file:

- modes.h